Relesys API Docs

v1.3

https://api.uat.relesystest.net/api/v1.3

Completions

List
GET /taskmanagementmodules/{moduleId}/tasks/{taskId}/completions
https://api.uat.relesystest.net/api/v1.3/taskmanagementmodules/{moduleId}/tasks/{taskId}/completions
Get a list of task completions.

Default sort is by lastModifiedDateTime in descending order.

areaDepartmentId will be populated only when task's assignee type is "ByDepartmentType".
Scopes: relesys.api, relesys.api:read, relesys.api.taskmanagement, relesys.api.taskmanagement:read
URL Path
moduleId string / guid The module's unique identifier required
taskId string / guid The task's unique identifier required
Query String
areaDepartmentId string / guid Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
departmentId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
serviceFormFillingId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"48a46542-e5a3-4431-8a23-c6d541a238dc","userId":"b507821d-53cd-4f33-aac9-b02b3deab1da","departmentId":"c4a75adf-5bc8-45fc-9a83-b0cf354a1862","areaDepartmentId":"53b2f0f0-ff62-473a-ae77-9b5975d6d1d6","serviceFormFillingId":"b506b39c-3bb2-4fa3-b63e-6f04a3e9eb85","creationDateTime":"2026-04-14T18:15:24.9760635+00:00","lastModifiedDateTime":"2026-04-14T18:15:24.9760635+00:00"},{"id":"da4e7f29-11fd-406b-9759-6278dce2c386","userId":"bdb317a9-4da2-4930-a695-d1d6dfb4cbb7","departmentId":"bf28f4b9-13b4-48cd-b314-d52b3e1b9226","areaDepartmentId":null,"serviceFormFillingId":null,"creationDateTime":"2026-04-13T18:15:24.9760635+00:00","lastModifiedDateTime":"2026-04-14T18:15:24.9760635+00:00"}]}
object
  count integer      
  data array[object]      
   areaDepartmentId string / guid      
   creationDateTime datetimeoffset      
   departmentId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   serviceFormFillingId string / guid      
   userId string / guid      
  nextUrl string      
  previousUrl string